We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

The latest version aspose.pdf for java support jdk1.70

new version aspose for java support jdk1.7

@taotaocxg

Thanks for contacting support.

Would you please share a bit more details about the issue you are facing or in case you want to inquire something about API features and support, please provide some more information so that we can assist you further accordingly.

以前的aspose.pdf老版本有很多bug,我测试过新的版本可以解决,但是它是jdk1.8的我们的项目是在1.7环境运行的,我就想问下,aspose.pdf最新版本支持jdk1.7

@taotaocxg

感谢您分享更多详情。

请注意,我们提供了单独的JAR(aspose-pdf-18.10-jdk17.jar),以便与Aspose.PDF for Java的下载包中的JDK 1.7兼容。您可以在您的环境中使用此JAR。在Maven项目的情况下,依赖树将如下:

<dependency>
    <groupId>com.aspose</groupId>
    <artifactId>aspose-pdf</artifactId>
    <version>18.10</version>
    <classifier>jdk17</classifier>
</dependency>